Subject: Re: [PATCH V2] dynamic_debug: Add an option to enable dynamic debug for modules only

From: Petr Mladek <[email-masked]>
Date: Fri, 15 May 2020 11:55:01 +0200

On Thu 2020-04-23 00:02:48, Orson Zhai wrote:
> On Wed, Apr 22, 2020 at 10:25 PM Leon Romanovsky <[email-masked]> wrote:
> >
> > On Wed, Apr 22, 2020 at 09:06:08PM +0800, Orson Zhai wrote:
> > > On Tue, Apr 21, 2020 at 3:10 AM Leon Romanovsky <[email-masked]> wrote:
> > > My motivation came from the concept of GKI (Generic Kernel Image) in Android.
> > > Google will release a common kernel image (binary) to all of the Android system
> > > vendors in the world instead of letting them to build their owns as before.
> > > Every SoC vendor's device drivers will be provided in kernel modules only.
> > > By my patch, the driver owners could debug their modules in field (say
> > > production releases)
> > > without having to enable dynamic debug for the whole GKI.
> >
> > Will Google release that binary with CONFIG_DYNAMIC_DEBUG_CORE disabled?
> >
> In Google's plan, there will be only one GKI (no debug version) for
> one Android version per kernel version per year.

Are there plans to use modules with debug messages enabled on production
systems?

IMHO, the debug messages are primary needed during development and
when fixing bugs. I am sure that developers will want to enable many
more features that will help with debugging and which will be disabled
on production systems.

I expect that Google will not release only the single binary. They
should release also the sources and build configuration. Then
developers might build their own versions with the needed debugging
features enabled.

Best Regards,
Petr